package cn.ibizlab.r7.runtime.core.r7rt_base.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import cn.ibizlab.r7.runtime.core.r7rt_base.domain.Application;
import cn.ibizlab.r7.runtime.core.r7rt_base.filter.ApplicationSearchContext;

/**
 * 实体[Application] 服务对象接口
 */

public interface IApplicationService{
     boolean remove(String applicationId) ;
     boolean checkKey(Application application) ;
     boolean save(Application application) ;
     Application getDraft(Application application) ;
     boolean update(Application application) ;
     Application get(String applicationId) ;
     Application get(Application application) ;
     boolean create(Application application) ;

    /**
     * 查询集合 DEFAULT
     */
    Page<Application> searchDefault(ApplicationSearchContext context) ;

    /**
     * 根据业务系统查询
     */
     Page<Application> selectBySystem(String systemid) ;
     List<Application> selectBySystem2(String systemid);

}
